<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_statistic/lang/'.$forum_user['language'].'/pan_statistic.php'))
	require FORUM_ROOT.'extensions/pan_statistic/lang/'.$forum_user['language'].'/pan_statistic.php';
else
	require FORUM_ROOT.'extensions/pan_statistic/lang/English/pan_statistic.php';

if (file_exists(FORUM_ROOT.'extensions/pan_statistic/lang/'.$forum_user['language'].'/pan_statistic_actions.php'))
	require FORUM_ROOT.'extensions/pan_statistic/lang/'.$forum_user['language'].'/pan_statistic_actions.php';
else
	require FORUM_ROOT.'extensions/pan_statistic/lang/English/pan_statistic_actions.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_statistic['Statistic'], forum_link($forum_url['pan_statistic_actions'])),
	$lang_pan_statistic['Actions users']
);

define('FORUM_PAGE_SECTION', 'statistic');
define('FORUM_PAGE', 'admin-pan-statistic-actions');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

<div class="main-content main-frm">
	
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_pan_statistic['Actions online users'] ?></span></h2>
	</div>

<?php

$query = array(
	'SELECT'	=> 'user_id, ident, prev_url, bots, cur_page, cur_id, cur_p',
	'FROM'		=> 'online',
	'WHERE'		=> 'idle=0',
	'ORDER BY'	=> 'logged DESC'
);
$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

if ($forum_db->num_rows($result) > 0) 
{
?>
	<div class="main-content main-frm">
		<div class="ct-group">
			<table>
				<thead>
					<tr>
						<th style="width:15%;">Users</th>
						<th style="width:70%;">Actions</th>
					</tr>
				</thead>
				<tbody> 
<?php
	while($current_views = $forum_db->fetch_assoc($result))
	{
		$ident = $current_views['user_id'] != '1' ? '<a href="'.forum_link($forum_url['user'], $current_views['user_id']).'" target="_blank">'.$current_views['ident'].'</a>' : ($current_views['bots'] != '0' ? $current_views['bots'] : $current_views['ident']);
?>
					<tr>
						<td><?php echo $ident ?></td>
						<td><?php echo pan_statistic_actions_users($current_views['cur_page'], $current_views['cur_id']) ?>&nbsp;<?php echo ($current_views['cur_p'] > 0) ? 'Page '.$current_views['cur_p'] : '' ?></td>
					</tr>
<?php
	}
?>
				</tbody>
			</table>
		</div>
	</div>
<?php
} else {
?>
	<div class="ct-box" style="background:#FEFFE6 none repeat scroll 0% 0%;">
		<p><strong><?php echo $lang_pan_statistic['No actions users'] ?></strong></p>
	</div>
	
<?php
}
?>
	
</div>
	
	
<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
