<?php

if(!defined('PAN_INSTALL')) die();

if (!$forum_db->table_exists('pan_stat_ips'))
{
	$schema = array(
		'FIELDS'	=> array(
			'time_logged'	=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> true
			),
			 'ip_address'	=> array(
				'datatype'		=> 'VARCHAR(200)',
		 		'allow_null'	=> false,
		 		'default'		=> '\'\''
		 	),
			'g_id'			=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '2'
			),
			'user_name'		=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'status'		=> array(
				'datatype'		=> 'TINYINT(1)',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'url_from'		=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'url_where'		=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'url_logout'	=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'time_logout'	=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> true
			),
			'user_agent'	=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> true
			),
			'views_pages'	=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			)
		),
		'PRIMARY KEY'	=> array('time_logged')
	);
	$forum_db->create_table('pan_stat_ips', $schema);
}

if (!$forum_db->table_exists('pan_stat_visits'))
{
	$schema = array(
		'FIELDS'	=> array(
			'v_time'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'v_date'		=> array(
				'datatype'		=> 'DATE',
				'allow_null'	=> true
			),
			'hosts'			=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'views'			=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'max_online'	=> array(
				'datatype'		=> 'MEDIUMINT(8) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'max_online_time'	=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			)
		),
		'PRIMARY KEY'	=> array('v_time')
	);
	$forum_db->create_table('pan_stat_visits', $schema);
}

if (!$forum_db->field_exists('online', 'bots') ) {
	$forum_db->add_field('online', 'bots', 'VARCHAR(50)', false, '0');
}

if (!$forum_db->field_exists('online', 'cur_page') ) {
	$forum_db->add_field('online', 'cur_page', 'VARCHAR(50)', true);
}

if (!$forum_db->field_exists('online', 'cur_id') ) {
	$forum_db->add_field('online', 'cur_id', 'VARCHAR(50)', true);
}

if (!$forum_db->field_exists('online', 'cur_p') ) {
	$forum_db->add_field('online', 'cur_p', 'VARCHAR(50)', true);
}

 // Add extension options to the config table
forum_config_add('o_pan_statistic_your_visits', '1');
forum_config_add('o_pan_statistic_ignore_bots', '1');
forum_config_add('o_pan_statistic_footer', '1');
forum_config_add('o_pan_statistic_display_bots', '1');
forum_config_add('o_pan_statistic_ip_geolocate', 'http://www.ip-finder.me/');
forum_config_add('o_pan_statistic_robots', 'Googlebot');


