<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_statistic/lang/'.$forum_user['language'].'/admin_pan_statistic.php'))
	require FORUM_ROOT.'extensions/pan_statistic/lang/'.$forum_user['language'].'/admin_pan_statistic.php';
else
	require FORUM_ROOT.'extensions/pan_statistic/lang/English/admin_pan_statistic.php';

if(isset($_POST['save_config']) )
{
	$form = array_map('trim', $_POST['form']);
	pan_update_options( $form );
	
	$forum_flash->add_info($admin_pan_statistic['Settings updated']);
	redirect(forum_link($forum_url['pan_statistic_options']), $admin_pan_statistic['Settings updated']);
}

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($admin_pan_statistic['Statistic'], forum_link($forum_url['pan_statistic'])),
	$admin_pan_statistic['Options']
);

define('FORUM_PAGE_SECTION', 'statistic');
define('FORUM_PAGE', 'admin-pan-statistic-options');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>

	<div class="main-content main-frm">
	
		<form action="<?php echo forum_link($forum_url['pan_statistic_options']) ?>" accept-charset="utf-8" method="post" class="frm-form">
			<div class="hidden">
				<input type="hidden" value="<?php echo generate_form_token(forum_link($forum_url['pan_statistic_options'])) ?>" name="csrf_token" />
			</div>

			<div class="content-head">
				<h2 class="hn"><span><?php echo $admin_pan_statistic['Options'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_statistic_your_visits]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_statistic_your_visits]" value="1"<?php if ($forum_config['o_pan_statistic_your_visits'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld"><span><?php echo $admin_pan_statistic['Your visits'] ?></span><?php echo $admin_pan_statistic['Your visits info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_statistic_ignore_bots]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_statistic_ignore_bots]" value="1"<?php if ($forum_config['o_pan_statistic_ignore_bots'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld"><span><?php echo $admin_pan_statistic['Bots visit'] ?></span><?php echo $admin_pan_statistic['Bots visit info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_statistic_footer]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_statistic_footer]" value="1"<?php if ($forum_config['o_pan_statistic_footer'] == '1') echo ' checked="checked"' ?> /></span>
					<label for="fld"><span><?php echo $admin_pan_statistic['Statistic footer'] ?></span><?php echo $admin_pan_statistic['Statistic footer info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box select">
					<label for="fld">
						<span><?php echo $admin_pan_statistic['Show bots'] ?></span><small><?php echo $admin_pan_statistic['Show bots info'] ?></small>
					</label><br />
					<span class="fld-input">
						<select name="form[pan_statistic_display_bots]">
<?php
$display_bots = array(
	'0'	=> $admin_pan_statistic['Disable'],
	'1'	=> $admin_pan_statistic['Display admin'],
	'2'	=> $admin_pan_statistic['Display all'],
);

foreach($display_bots as $set => $bot){
	if($forum_config['o_pan_statistic_display_bots'] == $set)
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$set.'" selected="selected">'.$bot.'</option>'."\n";
	else
		echo "\t\t\t\t\t\t\t\t".'<option value="'.$set.'">'.$bot.'</option>'."\n";
}
?>
						</select>
					</span>
				</div>
			</div>
			
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span>IP</span><small><?php echo $admin_pan_statistic['IP service'] ?></small></label><br />
					<span class="fld-input"><input type="text" id="fld" name="form[pan_statistic_ip_geolocate]" size="35" maxlength="255" value="<?php echo forum_htmlencode($forum_config['o_pan_statistic_ip_geolocate']) ?>" /></span>
				</div>
			</div>
			
			
			<div class="txt-set set">
				<div class="txt-box textarea">
					<label for="fld"><span><?php echo $admin_pan_statistic['List robots'] ?></span><small><?php echo $admin_pan_statistic['List robots info'] ?></small></label>
					<div class="txt-input"><span class="fld-input">
<textarea name="form[pan_statistic_robots]" rows="30" cols="auto" ><?php echo $forum_config['o_pan_statistic_robots']; ?></textarea>
</span></div>
				</div>
			</div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="<?php echo $admin_pan_statistic['Update'] ?>" /></span>
			</div>
		</form>
		
	</div>
	
<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';